Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	an enhanced clone of the Pico text editor.
Name:      	nano
Version:   	2.0.7
Release:   	1
Provides:	nano
License: 	GPL
URL:		http://www.nano-editor.org/
Group:     	Text Tools  
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-devel
BuildRequires:  ncurses-devel

%description
GNU nano - an enhanced clone of the Pico text editor.
The nano project was started because of a few "problems" with the
wonderfully easy-to-use and friendly Pico text editor.

First and foremost is its license: the Pine suite does not use the
GPL or a GPL-friendly license, and has unclear restrictions on
redistribution.  Because of this, Pine and Pico are not included
with many GNU/Linux distributions.  Also, other features (like go
to line number or search and replace) were unavailable until
recently or require a command line flag.  Yuck.

nano aims to solve these problems by emulating the functionality of
Pico as closely as possible while addressing the problems above and
perhaps providing other extra functionality.

The nano editor is now an official GNU package.  For more
information on GNU and the Free Software Foundation, please see
http://www.gnu.org.

%post
ldconfig
/sbin/install-info %{_infodir}/nano.info.gz %{_infodir}/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --del %{_infodir}/nano.info.gz %{_infodir}/dir
fi



%prep
%setup -n %{name}-%{version}

%build
./configure	--prefix=%_prefix \
		--mandir=%_mandir \
		--sysconfdir=%_sysconfdir \
		--infodir=%_infodir \
		--enable-all
make

%install
rm -rf %buildroot
make DESTDIR=$RPM_BUILD_ROOT install-strip
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir
%exclude %_infodir/dir
%_infodir
%_datadir/nano
%_datadir/locale
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Dec 20 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0.7-1
- Version update
* Fri Apr 27 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0.6-1
- Version update
* Sat Apr 07 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0.4-1
- Version update
* Mon Nov 20 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.0.0-1
- Initial Release
